summaryrefslogtreecommitdiff
path: root/dev-ruby/timeout
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-29 19:07:49 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-29 19:07:49 +0000
commit332b12c47c65e7075746dc873b96d8dc7ed3207c (patch)
tree6b75c8b1b60b93672ed27632cc400830bab51960 /dev-ruby/timeout
parent7b3196ae40be194e76de4ffc8b62f2c0faecd410 (diff)
downloadbaldeagleos-repo-332b12c47c65e7075746dc873b96d8dc7ed3207c.tar.gz
baldeagleos-repo-332b12c47c65e7075746dc873b96d8dc7ed3207c.tar.xz
baldeagleos-repo-332b12c47c65e7075746dc873b96d8dc7ed3207c.zip
Adding metadata
Diffstat (limited to 'dev-ruby/timeout')
-rw-r--r--dev-ruby/timeout/Manifest1
-rw-r--r--dev-ruby/timeout/timeout-0.4.4.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-ruby/timeout/Manifest b/dev-ruby/timeout/Manifest
index 2d86e65a5581..5c2141317029 100644
--- a/dev-ruby/timeout/Manifest
+++ b/dev-ruby/timeout/Manifest
@@ -1 +1,2 @@
DIST timeout-0.4.3.tar.gz 8695 BLAKE2B bc94fe6ee95f562d3ee10f3d26eafe4c644d1dd62e51fdc5ba7f83c8ddf051ffd04144d764d6546c05d62ed1b36567f5607346cb31332de096ab91a7a6681863 SHA512 e9f9fa4fe7465bd6b27997e0fd045c5e5abdb57dc102669d54329630291daffb13c57895177ef7d93a02ade2a34f6be1a418ffc864c85a9775bb616adc56f3c4
+DIST timeout-0.4.4.tar.gz 9082 BLAKE2B 4dd3c745852cdb01ceec20ca895aff6b88966775b57072e7b869c3f7bc55d30b2835ab97a76d5946cd33472acf9c1d863f84a03f98a843445fbeaa8c3ad19ffb SHA512 2b6c43093bf6b3cf6e957f7d3204d9e46f9c4d5dd8dba8fb92a5deee2f5996d4b721b9bcda9f40d22793ef3820513af370b440e897f44402b7ac9c12ceb0202c
diff --git a/dev-ruby/timeout/timeout-0.4.4.ebuild b/dev-ruby/timeout/timeout-0.4.4.ebuild
new file mode 100644
index 000000000000..f380b9fc65d0
--- /dev/null
+++ b/dev-ruby/timeout/timeout-0.4.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="timeout.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides a framework for message digest libraries"
+HOMEPAGE="https://github.com/ruby/timeout"
+SRC_URI="https://github.com/ruby/timeout/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}